package com.dhcc.finance.main.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.dhcc.finance.main.domain.CwBdVouchtempB;
import com.dhcc.finance.main.domain.CwBdVouchtempF;
import com.dhcc.finance.main.domain.CwBdVouchtempFExample;

public interface CwBdVouchtempFMapper {
    long countByExample(CwBdVouchtempFExample example);

    int deleteByExample(CwBdVouchtempFExample example);

    int deleteByPrimaryKey(String pkVouchtempF);

    int insert(CwBdVouchtempF record);

    int insertSelective(CwBdVouchtempF record);

    List<CwBdVouchtempF> selectByExample(CwBdVouchtempFExample example);

    CwBdVouchtempF selectByPrimaryKey(String pkVouchtempF);

    int updateByExampleSelective(@Param("record") CwBdVouchtempF record, @Param("example") CwBdVouchtempFExample example);

    int updateByExample(@Param("record") CwBdVouchtempF record, @Param("example") CwBdVouchtempFExample example);

    int updateByPrimaryKeySelective(CwBdVouchtempF record);

    int updateByPrimaryKey(CwBdVouchtempF record);
    /**
     * 功能描述：根据科目编号新增辅助信息
     * @param listCwBdVouchtempB
     * @return int
     * @author dml
     * @date 2019年4月1日 下午4:31:20
     * @修改日志：
     */
    int insertCwBdVouchtempF(List<CwBdVouchtempB> listCwBdVouchtempB);
    /**
     * 功能描述：查询某分录下全部辅助信息
     * @param cwBdVouchtempF
     * @return List<CwBdVouchtempF>
     * @author dml
     * @date 2019年4月3日 下午4:29:30
     * @修改日志：
     */
    List<CwBdVouchtempF> searchCwBdVouchtempF(CwBdVouchtempF cwBdVouchtempF);
    /**
     * 功能描述：逻辑删除某分录信息下全部辅助信息
     * @param cwBdVouchtempB
     * @return int
     * @author dml
     * @date 2019年4月4日 下午9:10:11
     * @修改日志：
     */
    int deleteCwBdVouchtempF(CwBdVouchtempB cwBdVouchtempB);
    /**
     * 功能描述：根据分录主键查询辅助信息
     * @param pkVouchtempB
     * @return List<CwBdVouchtempF>
     * @author dml
     * @date 2019年5月23日 上午11:57:02
     * @修改日志：
     */
    List<CwBdVouchtempF> selectByPkVouchtempB(String pkVouchtempB);
}